<html lang="it" >
<head>
  <title>Console monitoraggio servizi Postacert</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <base href="/">
  <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">

  <!-- Angular Material style sheet -->
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.12/angular-material.min.css">
  <link href="css/theme.css" rel="stylesheet">
  <link href="https://unpkg.com/ng-table@3.0.1/bundles/ng-table.css" rel="stylesheet">
</head>
<body ng-app="app" ng-controller="MainController"  ng-cloak>

<!-- Navigation -->
<nav class="navbar navbar-expand-lg static-top" style="background-color: #eedc00;margin-bottom: 0px;padding: 20px;">
  <div class="container">
    <a class="navbar-brand" href="/index.html">
      <img src="img/logo-poste-italiane.png" alt="" width="180px">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/index.html">Home
            <span class="sr-only">(current)</span>
          </a>
        </li>

        <li class="nav-item active">
          <a class="nav-link" href="/reportLottiCsv">Report lotti
            <span class="sr-only">(current)</span>
          </a>
        </li>

        <li class="nav-item active">
          <a class="nav-link" href="/reportMessaggiCsv">Report messaggi
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <!--    <li class="nav-item">
              <a class="nav-link" href="#">About</a>
            </li>-->
      </ul>
    </div>
  </div>
</nav>
<nav class="navbar navbar-expand-lg static-top" style="background-color: #0047BB;margin-bottom: 1.5em;margin-top: 0px;padding: 4px;">
</nav>
<!-- END NAVIGATION -->




<div class="container"  ng-view></div>







<script src="js/jquery-3.3.1.min.js"></script>
<script src="bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Angular Material requires Angular.js Libraries -->
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular.js"></script>
<script src="js/angularjs/angular-route.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-animate.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-aria.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.6/angular-messages.min.js"></script>

<!-- Angular Material Library -->
<script src="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.12/angular-material.min.js"></script>

<script src="js/angular_function/angularHomeFunction.js"></script>
<script src="https://unpkg.com/ng-table@3.0.1/bundles/ng-table.js"></script>



<!-- Your application bootstrap  -->
<script type="text/javascript">

    var consoleApp = angular.module('app', ['ngRoute','ngMaterial', 'ngMessages','ngTable']);

    //service ponte
    consoleApp.factory('SearchSection_Factory', function(){
        return {
            search: {
                lottoId : '',
                status : '',
                radioSelection : ''
            }
        };
    });


    //service ponte
    consoleApp.factory('SearchSection_Factory', function(){
        return {
            Status : ''
        };
    });


    consoleApp.controller('MainController', function($scope, $route, $routeParams, $location) {
        $scope.$route = $route;
        $scope.$location = $location;
        $scope.$routeParams = $routeParams;
    });

    consoleApp.controller('messageStatus_Ctrl', getMessageStatus);
    consoleApp.controller('lotsStatus_Ctrl', getLotsStatus);
    consoleApp.controller('formRicercaLotti_Ctrl', ricercaLottiForm);
    consoleApp.controller('serviceStatus_Ctrl', serviceStatus);

    consoleApp.controller('details_Ctrl', getLotsByIdStatus);
    consoleApp.controller('details_lotto_fails', getLottoFails);
    consoleApp.controller('details_message_fails', getMessageFails);
    consoleApp.controller('reportLotti_Ctrl', reportLotti);
    consoleApp.controller('reportMessaggi_Ctrl', reportMessaggi);

    consoleApp.config(function($routeProvider, $locationProvider) {

        $routeProvider
            .when('/reportLottiCsv', {
                templateUrl: '/templates/reportLottiCsv.html' ,
                controller: 'reportLotti_Ctrl'
            })
            .when('/reportMessaggiCsv', {
                templateUrl: '/templates/reportMessaggiCsv.html' ,
                controller: 'reportMessaggi_Ctrl'
            })
            .when('/searchLots/', {
                templateUrl: '/templates/search-lots-detail.html',

                controller: 'details_Ctrl'

            })
            .when('/detailsLot/:status', {
                templateUrl: '/templates/lots-detail.html',

                controller: 'details_lotto_fails'

            })
            .when('/detailsMessages/:event', {
                templateUrl: '/templates/messages-detail.html',

                controller: 'details_message_fails'

            })
            .when('/index.html', {
                templateUrl: 'templates/mainPage.html'
                // resolve: {
                //     function(){
                //         alert("CIAO JOME");
                //     }
                // }
            });
        $locationProvider.html5Mode({
            enabled: true
           // requireBase: false
        });
    });

    consoleApp.config(function($mdDateLocaleProvider) {

        // Example of a French localization.
        $mdDateLocaleProvider.months = ['Gennaio', 'Febbraio', 'Marzo', 'Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre'];
        $mdDateLocaleProvider.shortMonths = ['Gen', 'Feb', 'Mar', 'Apr','Mag','Giu','Lug','Ago','Set','Ott','Nov','Dic'];
        $mdDateLocaleProvider.days = ['domenica', 'lunedi', 'martedi', 'mercoledi','giovedi','venerdi','sabato'];
        $mdDateLocaleProvider.shortDays = ['Do', 'Lu', 'Ma', 'Me','Gio','Ve','Sa'];

        // Can change week display to start on Monday.
        $mdDateLocaleProvider.firstDayOfWeek = 1;

        $mdDateLocaleProvider.formatDate = function(date) {
            var m = date ;

            if (m) {return m.getDate() + '/' + (m.getMonth()+1) + '/' + m.getFullYear();}
            else {return '';}
        };


        // In addition to date display, date components also need localized messages
        // for aria-labels for screen-reader users.

        $mdDateLocaleProvider.weekNumberFormatter = function(weekNumber) {
            return 'Settimana ' + weekNumber;
        };

        $mdDateLocaleProvider.msgCalendar = 'Calendario';
        $mdDateLocaleProvider.msgOpenCalendar = 'Aprire il calendario';

        // You can also set when your calendar begins and ends.
        $mdDateLocaleProvider.firstRenderableDate = new Date(1776, 6, 4);
    });


    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });


</script>

</body>
</html>